from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Boolean, Float, Int, String

Anvi_Display_Contigs_Stats_V0_1_0 = CommandToolBuilder(tool="anvi_display_contigs_stats", base_command=["anvi-display-contigs-stats"], inputs=[ToolInput(tag="in_report_as_text", input_type=File(optional=True), prefix="--report-as-text", doc=InputDocumentation(doc="If you give this flag, Anvi'o will not open new\nbrowser to show Contigs database statistics and write\nall stats to TAB separated file and you should also\ngive --output-file with this flag otherwise Anvi'o\nwill complain. (default: False)")), ToolInput(tag="in_output_file", input_type=File(optional=True), prefix="--output-file", doc=InputDocumentation(doc="File path to store results. (default: None)")), ToolInput(tag="in_dry_run", input_type=Boolean(optional=True), prefix="--dry-run", doc=InputDocumentation(doc="Don't do anything real. Test everything, and stop\nright before wherever the developer said 'well, this\nis enough testing', and decided to print out results.\n(default: False)")), ToolInput(tag="in_ip_address", input_type=Float(optional=True), prefix="--ip-address", doc=InputDocumentation(doc="IP address for the HTTP server. The default ip address\n(0.0.0.0) should work just fine for most.")), ToolInput(tag="in_port_number", input_type=Int(optional=True), prefix="--port-number", doc=InputDocumentation(doc="Port number to use for anvi'o services. If nothing is\ndeclared, anvi'o will try to find a suitable port\nnumber, starting from the default port number, 8080.\n(default: None)")), ToolInput(tag="in_browser_path", input_type=File(optional=True), prefix="--browser-path", doc=InputDocumentation(doc="By default, anvi'o will use your default browser to\nlaunch the interactive interface. If you would like to\nuse something else than your system default, you can\nprovide a full path for an alternative browser using\nthis parameter, and hope for the best. For instance we\nare using this parameter to call Google's experimental\nbrowser, Canary, which performs better with demanding\nvisualizations. (default: None)")), ToolInput(tag="in_server_only", input_type=Boolean(optional=True), prefix="--server-only", doc=InputDocumentation(doc="The default behavior is to start the local server, and\nfire up a browser that connects to the server. If you\nhave other plans, and want to start the server without\ncalling the browser, this is the flag you need.\n(default: False)")), ToolInput(tag="in_password_protected", input_type=Boolean(optional=True), prefix="--password-protected", doc=InputDocumentation(doc="If this flag is set, command line tool will ask you to\nenter a password and interactive interface will be\nonly accessible after entering same password. This\noption is recommended for shared machines like\nclusters or shared networks where computers are not\nisolated. (default: False)")), ToolInput(tag="in_space_dot", input_type=String(), position=0, doc=InputDocumentation(doc="optional arguments:")), ToolInput(tag="in_statistics", input_type=String(), position=0, doc=InputDocumentation(doc="🧀 Can consume: ")), ToolInput(tag="in_contigs_db", input_type=String(), position=1, doc=InputDocumentation(doc="🍕 Can provide: "))], outputs=[ToolOutput(tag="out_report_as_text", output_type=File(optional=True), selector=InputSelector(input_to_select="in_report_as_text", type_hint=File()), doc=OutputDocumentation(doc="If you give this flag, Anvi'o will not open new\nbrowser to show Contigs database statistics and write\nall stats to TAB separated file and you should also\ngive --output-file with this flag otherwise Anvi'o\nwill complain. (default: False)")), ToolOutput(tag="out_output_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_file", type_hint=File()), doc=OutputDocumentation(doc="File path to store results. (default: None)"))], container="quay.io/biocontainers/anvio-minimal:7--py_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Anvi_Display_Contigs_Stats_V0_1_0().translate("wdl")

